﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CampusUOC.Clases
{
    public class Board
    {
        public string id { get; set; }
        public string subtype { get; set; }
        public string title { get; set; }
        public string code { get; set; }
        public string domainId { get; set; }
        public int unreadMessages { get; set; }
        public int totalMessages { get; set; }
    }

    public class Boards
    {
        public List<Board> boards { get; set; }
    }

    public class Material
    {
        public string id { get; set; }
        public string type { get; set; }
        public string title { get; set; }
        public string url { get; set; }
    }

    public class Materials
    {
        public List<Material> materials { get; set; }
    }

    public class ResourceMapping
    {
        public string id { get; set; }
        public string type { get; set; }
        public string subtype { get; set; }
        public string title { get; set; }
        public string code { get; set; }
        public string domainId { get; set; }
    }

    public class ResourcesMapping
    {
        public List<ResourceMapping> resources { get; set; }
    }
}
