﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CampusUOC.Clases
{
    public class MessageMapping
    {
        public string id { get; set; }
        public string subject { get; set; }
        public string snippet { get; set; }
        public string date { get; set; }
        public int color { get; set; }
        public int status { get; set; }
        public string from { get; set; }
        public string to { get; set; }
        public string cc { get; set; }
        public string body { get; set; }

        public override string ToString()
        {
            if(id == null)
                return base.ToString();
            else
            {
                return base.ToString() + ": " + id + "|" + from + "|" + subject + "|" + color + "|";
            }
        }
    }

    public class Messages
    {
        public List<MessageMapping> messages { get; set; }

        public override string ToString()
        {
            if(messages == null)
                return base.ToString();
            else
            {
                StringBuilder sb = new StringBuilder();
                sb.Append("|" + messages.Count + ": ");
                foreach (var message in messages)
                {
                    sb.Append(" " + message.ToString());
                }
                return base.ToString() + sb.ToString().Substring(0, 250);
            }
        }
    }
}
