﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CampusUOC.Clases
{
    public class User
    {
        /*
         * d 	string 	

User identifier.
username 	string 	

Username inside Virtual Campus.
name 	string 	

User's name.
number 	string 	

User's number.
fullName 	string 	

User's full name.
photoUrl 	string 	

URL where the user's picture is located.
language 	string 	

User's language in ISO format.
sessionId 	string 	

Identifier of the user's current session inside Virtual Campus.
It only contains data in the Get User's data call.
email 	string 	

User's mail address
         * */

        public string id { get; set; }
        public string name { get; set; }
        public string username { get; set; }
        public string number { get; set; }
        public string fullName { get; set; }
        public string photoUrl { get; set; }
        public string language { get; set; }
        public string sessionId { get; set; }
        public string email { get; set; }
    }

    public class People
    {
        public List<User> users { get; set; }
    }
}
